using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace MaxiBioWindowsApplication
{
    public partial class MaxiBioMainForm : Form
    {
        private MaxiBio aktuelMaxiBio;

        public MaxiBioMainForm()
        {
            InitializeComponent();
            //this.aktuelMaxiBio = new MaxiBio();
            MaxiBioFasade.OpretMaxiBioMedTestData();
            this.aktuelMaxiBio = MaxiBioFasade.GetMaxiBioObjektet();
            this.fyldBiografListBox();
        }

        private void btnTilBigrafForm_Click(object sender, EventArgs e)
        {
            BiografForm bioForm = 
                new BiografForm(this.aktuelMaxiBio,null);
            bioForm.ShowDialog();
        }
        private void fyldBiografListBox()
        {
            Biograf[] alleBiografer = this.aktuelMaxiBio.HentAlleBiografer();
            this.lbxBiografer.Items.Clear();
            this.lbxBiografer.Items.AddRange(alleBiografer);
        }

        private void btnFyldBiografListBox_Click(object sender, EventArgs e)
        {
            this.fyldBiografListBox();
        }

        private void lbxBiografer_SelectedIndexChanged(object sender, EventArgs e)
        {
            Biograf valgtBiograf =
                this.lbxBiografer.SelectedItem as Biograf;
            // (Biograf)this.lbxBiografer.SelectedItem;
            BiografForm bioForm =
                new BiografForm(this.aktuelMaxiBio, valgtBiograf);
            bioForm.ShowDialog();

        }
    }
}