using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace MaxiBioWindowsApplication
{
    public partial class ForestillingForm : Form
    {
        private Biografsal aktuelBiografsal;
        private Forestilling aktuelForestilling;

        public ForestillingForm()
        {
            InitializeComponent();

            // opret test objekt
            this.aktuelBiografsal = new Biografsal("Test sal", true, 100);
        }

        private void btnOpretForestilling_Click(object sender, EventArgs e)
        {
            int dato = int.Parse(this.txtDato.Text);
            int tidspunkt = int.Parse(this.txtTidspunkt.Text);
            this.aktuelForestilling = this.aktuelBiografsal.OpretForestilling(dato, tidspunkt);
        }

        private void btnFindForestilling_Click(object sender, EventArgs e)
        {
            int dato = int.Parse(this.txtDato.Text);
            int tidspunkt = int.Parse(this.txtTidspunkt.Text);
            this.aktuelForestilling = this.aktuelBiografsal.FindForestilling(dato, tidspunkt);
            if (this.aktuelForestilling == null)
                MessageBox.Show("Forestilling findes ikke");
        }

        private void btnRetForestilling_Click(object sender, EventArgs e)
        {
            if (this.aktuelForestilling == null)
            {
                MessageBox.Show("Du skal frst finde en forestilling");
            }
            else
            {
                int dato = int.Parse(this.txtDato.Text);
                int tidspunkt = int.Parse(this.txtTidspunkt.Text);
                this.aktuelForestilling.Dato = dato;
                this.aktuelForestilling.Tidspunkt = tidspunkt;
            }
        }
    }
}